IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODEATTR') 
CREATE TABLE T_BD_CONFIGCODEATTR (
    FID BIGINT DEFAULT 0  NOT NULL,
    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
    FDESCRIPTION_TAG NCLOB NULL,
    fattrtype VARCHAR(50) DEFAULT ' ' NOT NULL,
    fenableuser BIGINT DEFAULT 0 NOT NULL,
    fenabletime DATETIME,
    fdisableuser BIGINT DEFAULT 0 NOT NULL,
    fdisabletime DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODEATTR_L') 
CREATE TABLE T_BD_CONFIGCODEATTR_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0  NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGCODEATTRENTRY') 
 CREATE TABLE T_BD_CONFIGCODEATTRENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	fvalueobject VARCHAR(36) DEFAULT ' ' NOT NULL,
	fvaluefield VARCHAR(50) DEFAULT ' ' NOT NULL
);




